From 61378c318bc64140b8111ca6440218c63d3ec33a Mon Sep 17 00:00:00 2001
From: Theron Lewis <theron@bittorrent.com>
Date: Fri, 10 Feb 2012 17:08:20 -0800
Subject: [PATCH 3/3] A small clean up for the theora module

---
 modules/codec/theora.c |   11 +++++------
 1 files changed, 5 insertions(+), 6 deletions(-)

diff --git a/modules/codec/theora.c b/modules/codec/theora.c
index fc7e168..75c55bd 100644
--- a/modules/codec/theora.c
+++ b/modules/codec/theora.c
@@ -466,12 +466,11 @@ static picture_t *DecodePacket( decoder_t *p_dec, ogg_packet *p_oggpacket )
      * in the general case, but can happen if e.g. we play a network stream
      * using a timed URL, such that the server doesn't start the video with a
      * keyframe). */
-    if( p_sys->b_decoded_first_keyframe )
-    {
-        if( th_decode_ycbcr_out( p_sys->tcx, ycbcr ) ) /* returns 0 on success */
-            return NULL;
-    }
-    else return NULL; /* Wait until we've decoded the first keyframe */
+    if( !p_sys->b_decoded_first_keyframe )
+        return NULL; /* Wait until we've decoded the first keyframe */
+
+    if( th_decode_ycbcr_out( p_sys->tcx, ycbcr ) ) /* returns 0 on success */
+        return NULL;
 
     /* Get a new picture */
     p_pic = decoder_NewPicture( p_dec );
-- 
1.7.5.4

